Bug 1421231 - error in default configurations: Cd-WARNING **: failed to get session [pid 1408]: Unknown error -2
Summary: error in default configurations: Cd-WARNING **: failed to get session [pid 14...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: colord
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard Hughes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1727111
TreeView+ depends on / blocked
 
Reported: 2017-02-10 16:48 UTC by Petr Sklenar
Modified: 2020-03-31 19:39 UTC (History)
7 users (show)

Fixed In Version: colord-1.3.4-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 19:38:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Messages from colord from the system journal (317.43 KB, text/plain)
2019-08-28 11:38 UTC, Pavlin Georgiev
no flags Details
Screenshot of color profiles in control-center (59.72 KB, image/png)
2019-08-28 11:41 UTC, Pavlin Georgiev
no flags Details
Messages from colord from the system journal after component update (362 bytes, text/plain)
2019-08-28 12:18 UTC, Pavlin Georgiev
no flags Details
Screenshot of color profiles in control-center of printers (67.71 KB, image/png)
2019-08-28 12:20 UTC, Pavlin Georgiev
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1021 0 None None None 2020-03-31 19:39:28 UTC

Description Petr Sklenar 2017-02-10 16:48:24 UTC
Description of problem:
there are some error in default configurations

Version-Release number of selected component (if applicable):
colord-1.2.7-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. there are some error in default configurations

Actual results:
Cd-WARNING **: failed to get session [pid 1408]: Unknown error -2


service  colord status
Redirecting to /bin/systemctl status  colord.service
● colord.service - Manage, Install and Generate Color Profiles
   Loaded: loaded (/usr/lib/systemd/system/colord.service; static; vendor preset: disabled)
   Active: active (running) since Fri 2017-02-10 10:57:17 CET; 6h ago
 Main PID: 3610 (colord)
   CGroup: /system.slice/colord.service
           └─3610 /usr/libexec/colord

Feb 10 10:57:17 masox.brq.redhat.com systemd[1]: Starting Manage, Install and Generate Color Profiles...
Feb 10 10:57:17 masox.brq.redhat.com systemd[1]: Started Manage, Install and Generate Color Profiles.
Feb 10 10:57:17 masox.brq.redhat.com colord[3610]: (colord:3610): Cd-WARNING **: failed to get session [pid 1408]: Unknown error -2
Feb 10 10:57:17 masox.brq.redhat.com colord[3610]: (colord:3610): Cd-WARNING **: failed to get session [pid 1408]: Unknown error -2
Feb 10 10:57:17 masox.brq.redhat.com colord[3610]: (colord:3610): Cd-WARNING **: failed to get session [pid 1408]: Unknown error -2
Feb 10 10:57:17 masox.brq.redhat.com colord[3610]: (colord:3610): Cd-WARNING **: failed to get session [pid 1408]: Unknown error -2

Expected results:
no errors

Additional info:

Comment 8 Richard Hughes 2019-07-30 10:41:23 UTC
> failed to get session [pid 3224]: No such file or directory

Is this on real hardware, or is there some kind of possibly non-free virtualized session/desktop on top? Getting some data about how the sessions are being created on the actual hardware would allow me to debug this, as just hiding the warning is just pretending the problem doesn't exist.

Comment 12 Pavlin Georgiev 2019-08-28 11:38:48 UTC
Created attachment 1608978 [details]
Messages from colord from the system journal

TEST SETUP
Distro: RHEL 7.6 CSB
Platform: Laptop Lenovo T580
Component version: colord-1.3.4-1.el7


TEST PROCEDURE
1. Check the status of service colord.
2. Get messages from colord from the system journal.
The bug is there.

Comment 13 Pavlin Georgiev 2019-08-28 11:41:04 UTC
Created attachment 1608991 [details]
Screenshot of color profiles in control-center

Color profiles of various devices in control-center

Comment 14 Pavlin Georgiev 2019-08-28 12:18:07 UTC
Created attachment 1608997 [details]
Messages from colord from the system journal after component update

TEST SETUP 2
Distro: RHEL 7.7 Workstation
Platform: KVM based VM
Component version: colord-1.3.4-1.el7


TEST PROCEDURE 2
1. Install printers at Brno site and a PDF generator that use color profiles.
2. Download and install Brew build colord-1.3.4-2.el7:
   https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=950224
   
3. Reboot the testing VM.
4. Check the status of service colord.
5. Get messages from colord from the system journal.

Comment 15 Pavlin Georgiev 2019-08-28 12:20:27 UTC
Created attachment 1608998 [details]
Screenshot of color profiles in control-center of printers

Comment 16 Pavlin Georgiev 2019-08-28 12:22:24 UTC
RESULT
Upgrading component: colord
    from: 1.3.4-1.el7
      to: 1.3.4-2.el7
has fixed the bug.

Comment 18 errata-xmlrpc 2020-03-31 19:38:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1021


Note You need to log in before you can comment on or make changes to this bug.